/*
 * ChannelMap.h: ChannelMap
 *
 * See the README file for copyright information and how to reach the author.
 *
 * The following table maps http://tvtv.de channel names into Astra 19.2E PIDs.
 * It is incomplete. Contributions welcome.
 *
 * This List is From Carsten.Koch@icem.de (Thanks)
 */

#ifndef _CHANNELMAP__H
#define _CHANNELMAP__H

typedef struct
{
    const char * tvtv_name;
    unsigned short pnr;
} channel_map_entry;

static const channel_map_entry channel_map[] =
{
//
// ARD/ZDF
{"ARD", 28106},
{"Eins Extra", 28201},
{"Eins Festival", 28202},
{"EinsPlus", 28203},
{"ZDF", 28006},
{"ZDF dokukanal", 28014},
{"ZDF infokanal", 28011},
{"ZDF theaterkanal", 28016},
//
// 3. Programme
{"WDR", 28308}, // WDR-Duesseldorf
// {"WDR", 28111}, // WDR-Koeln
// {"WDR", 28309}, // WDR-Essen
// {"WDR", 28307}, // WDR-Dortmund
// {"WDR", 28306}, // WDR-Bielefeld
// {"WDR", 28311}, // WDR-Siegen
// {"WDR", 28312}, // WDR-Wuppertal
// {"WDR", 28310}, // WDR-Muenster
// {"WDR", 28305}, // WDR-Aachen
{"NDR Fernsehen", 28225}, // NDR Hamburg
// {"NDR Fernsehen",28226}, // NDR Niedersachsen
// {"NDR Fernsehen",28227}, // NDR Schleswig-Holstein
// {"NDR Fernsehen",28224}, // NDR Mecklenburg-Vorpommern
{"BR3", 28107},
{"SWR RP", 28231},
{"SWR BW", 28113},
{"SR", 28110},
{"HR", 28108},
{"MDR", 28204},
// {"MDR", 28228}, // MDR Sachsen
// {"MDR", 28229}, // MDR Sachsen-Anhalt
// {"MDR", 28230}, // MDR Thueringen
{"rbb", 28206}, // rbb Berlin
// {"rbb", 28205}, // rbb Brandenburg
{"3sat", 28007},
{"KiKa", 28008},
//
// Privatsender [de]
{"RTL", 12003},
{"SAT.1", 46},
{"ProSieben", 898},
{"Kabel eins", 899},
{"RTL2", 12020},
{"Super RTL", 12040},
{"VOX", 12060},
{"9Live", 897},
{"TELE-5", 51},
{"TV Gusto", 659},
//
// Nachrichten
{"n-tv", 12090},
{"N24", 47},
{"EuroNews", 28015},
{"BBC World Germany", 10050},
{"Sky News", 28707},
{"CNN", 28522},
{"CNBC", 10030},
//
// Doku
{"BR-alpha", 28112},
{"Phoenix", 28114},
{"ARTE", 28109},
{"Terra Nova", 17033},
{"XXP", 12602},
//
// Sport
{"Eurosport", 28009},
{"DSF", 900},
//
// Musik
{"VIVA", 12732},
{"VIVA plus", 12120},
{"MTV", 28653},
{"MTV2", 28640},
//
// Premiere
{"13th Street", 42},
{"Animal Planet", 12},
{"BEATE-UHSE.TV", 21},
{"BigBrother", 50},
{"Classica", 15},
{"Discovery", 14},
{"Discovery Geschichte", 13},
{"Disney Channel", 34},
{"Focus Gesundheit", 15},
{"FOX KIDS", 28},
{"Goldstar TV", 518},
{"Heimatkanal", 22},
{"hit24", 168},
{"Junior", 19},
{"MGM", 515},
{"Premiere 1", 10},
{"Premiere 2", 11},
{"Premiere 3", 43},
{"Premiere 4", 9},
{"Premiere 5", 29},
{"Premiere 6", 41},
{"Premiere 7", 20},
{"Premiere Krimi", 23},
{"Premiere Nostalgie", 516},
{"Premiere Serie", 16},
{"Premiere Sport1", 17},
{"Premiere Sport2", 27},
{"Premiere Start", 8},
{"SCI FI", 36},
//
// Oesterreich
{"ORF1", 13001},
{"ORF2", 13002},
{"ATVplus", 13012},
{"TW1", 13101},
{"RTL AT", 28800},
{"Sat.1 AT", 20005},
{"ProSieben AT", 20002},
{"Kabel eins AT", 20004},
{"Premiere Austria", 53},
//
// Schweiz
{"BBC Prime (CET)", 8909},
{"ProSieben Schweiz", 20001},
{"SAT.1 Schweiz", 48},
{"SF1", 901},
{"SF2", 907},
//
//  Niederlande
{"Animal Planet", 2020},
{"BVN-TV", 5025},
{"Canal+ Blauw", 4006},
{"Canal+ Rood", 4005},
{"Cartoon Network NL", 4015},
{"Discovery Channel", 2015},
{"Eurosport", 2025},
{"Hallmark", 2035},
{"Nederland 1", 4011},
{"Nederland 2", 4012},
{"Nederland 3", 4013},
{"Net 5", 5004},
{"Nickelodeon", 28658},
{"RTL 4", 2004},
{"RTL 5", 2005},
{"SBS 6", 5005},
{"Spice Platinum", 4009},
{"TCM", 2011},
{"TMF", 5015},
{"Veronica", 5020},
{"Yorin", 5010},
//
//  Frankreich
{"13me Rue", 8703},
{"AB 1", 17021},
{"AB Animaux", 17022},
{"Arte", 9019},
{"Arte Sat", 9019},
{"Canal+", 8201},
{"Canal+ Cinema", 8203},
{"Canal+ Dcal", 8202},
{"Canal+ Hi-Tech", 8204},
{"Canal J", 8157},
{"Canal+ Sport", 8208},
{"Cartoon Network", 28521},
{"Cincinma Auteur", 8351},
{"Cincinma Classic", 8709},
{"Cincinma Emotion", 8002},
{"Cincinma Famiz", 8711},
{"Cincinma Frisson", 8003},
{"Cincinma Premier", 8206},
{"Comdie !", 8702},
{"Cuisine.TV", 8160},
//{"Disney Channel", 8906},
{"Escales", 17025},
{"EuroNews", 8004},
{"Eurosport", 8151},
{"France 2", 8801},
{"France 3", 8802},
{"France 4", 9301},
{"France 5", 8501},
{"France 5 Sat", 8501},
{"Histoire", 9302},
{"Jetix", 8705},
{"Jimmy", 8006},
{"LCI", 8156},
{"LCP - Public Senat", 17027},
{"M6", 12270},
{"Match TV", 8355},
{"MCM", 8352},
{"MCM International", 8352},
{"MCM Pop", 8354},
{"MCM Top", 8365},
{"Mezzo", 8007},
{"Motors TV", 8910},
//{"MTV", 28652},
{"National Geographic", 8708},
{"NT 1", 17028},
{"Paris Premire", 8005},
{"Plante", 8153},
{"RTL 9", 8805},
{"Seasons", 8001},
{"Sport+", 8009},
{"TCM", 28525},
{"Tltoon", },
{"Tva", 8905},
{"TiJi", 8162},
{"TMC", 8152},
{"Toute l`histoire", 17026},
{"TV5", 9012},
{"TV5 Europe", 12240},
{"Voyage", 8155},
{"W 9", 8357},
{"XXL", 17024},
//
//  Spanien
{"Andaluca TV", 30202},
//{"AXN", 29956},
{"Calle 13", 30510},
//{"Canal+", 30400},
{"Canal Cocina", 29953},
{"Canal de Historia", 30658},
{"Canal Hollywood", 30657},
//{"Discovery Channel", 30406},
//{"Disney Channel", 30403},
{"Fox TV", 29955},
{"Galavision", 30050},
{"Jetix", 29801},
{"MTV Espaa", 28651},
//{"National Geographic", 30605},
//{"Nickelodeon", 28660},
{"Paramount Comedy", 30506},
{"Sportmania", 30404},
//{"TCM", 28526},
{"TeleCinco", 30359},
{"Telenovelas", 30656},
{"TVC Internacional", 30201},
{"TVE Internacional", 9022},
{"TV Galicia", 30222},
{"TV Galicia Int.", 30222},
//
//  U.K.
{"BBC Prime", 2030},
{"MTV 2", 28659},
{"MTV Base", 28655},
{"MTV Hits", 28654},
{"VH1", 28656},
{"VH1 Classic", 28657},
{"VH1 Europe", 28656},
//
//  Unsorted
{"RTL Tele Letzeburg", 3994},
{"TV.BERLIN", 772},
{"rheinmaintv", 12614},
{"RNFplus", 768},
{"AXN", 13106},
{"bibel TV", 61900},
{"Bloomberg TV", 12160},
{"Silverline", 13105},
{"Spi.Ka TV", 12618},
{"VIC-TV", 60},
{"K-TV", 12601},
{"QVC", 12100},
{"RTL Shop", 12080},
{"HSE24", 40}
};
  
#endif //_CHANNELMAP__H
